Subject: Re: [PATCH] Make reflog query '@{1219188291}' act as '@{2008/08/19 16:24:51}'

From: Alex Riesen <[email-masked]>
Date: Wed, 20 Aug 2008 21:54:01 +0200

Shawn O. Pearce, Wed, Aug 20, 2008 21:44:07 +0200:
> 
> We could pick any number for the limit, just so long as its so
> large that the size of the reflog for it to be a valid @{nth}
> request would be something like 1 TB, and thus be highly unlikely.
> 
> I was just trying to be cute by using the original commit timestamp
> of Git itself.  Perhaps 12936648 (1TB / 83)?

How about the maximum value the platform's size_t can handle?

Not because it is "highly unlikely", but because you and me frankly
have no idea exactly how unlikely for example a "12936648 terabytes" is?